### Hierarchy

- TableBody

## Index

### Inputs

- enableSingleSelect
- model
- selectionLabelColumn
- showSelectionColumn
- size
- skeleton
- checkboxRowLabel
- expandButtonAriaLabel

### Outputs

- deselectRow
- rowClick
- selectRow

### Constructors

- constructor

### Properties

- _checkboxRowLabel
- _expandButtonAriaLabel
- deselectRow
- enableSingleSelect
- i18n
- model
- rowClick
- selectRow
- selectionLabelColumn
- showSelectionColumn
- size
- skeleton

### Accessors

- checkboxRowLabel
- expandButtonAriaLabel

### Methods

- firstExpandedDataInRow
- getCheckboxRowLabel
- getExpandButtonAriaLabel
- onRowCheckboxChange
- onRowClick
- shouldExpandAsTable

## Constructors

### constructor

- new TableBody(i18n: I18n): TableBody

- - Defined in src/table/body/table-body.component.ts:140

  #### Parameters

  - ##### i18n: I18n

  #### Returns TableBody

## Properties

### Protected _checkboxRowLabel

_checkboxRowLabel: Overridable = this.i18n.getOverridable("TABLE.CHECKBOX_ROW")

- Defined in src/table/body/table-body.component.ts:139

### Protected _expandButtonAriaLabel

_expandButtonAriaLabel: Overridable = this.i18n.getOverridable("TABLE.EXPAND_BUTTON")

- Defined in src/table/body/table-body.component.ts:140

### deselectRow

@Output()
deselectRow: EventEmitter<Object> = new EventEmitter<Object>()

- Defined in src/table/body/table-body.component.ts:132

### enableSingleSelect

@Input()
enableSingleSelect: boolean = false

- Defined in src/table/body/table-body.component.ts:76

### Protected i18n

i18n: I18n

- Defined in src/table/body/table-body.component.ts:142

### model

@Input()
model: TableModel

- Defined in src/table/body/table-body.component.ts:71

### rowClick

@Output()
rowClick: EventEmitter<number> = new EventEmitter<number>()

- Defined in src/table/body/table-body.component.ts:137

### selectRow

@Output()
selectRow: EventEmitter<Object> = new EventEmitter<Object>()

- Defined in src/table/body/table-body.component.ts:125

### selectionLabelColumn

@Input()
selectionLabelColumn: number

- Defined in src/table/body/table-body.component.ts:116

### showSelectionColumn

@Input()
showSelectionColumn: boolean = true

- Defined in src/table/body/table-body.component.ts:99

### size

@Input()
size: TableRowSize = "md"

- Defined in src/table/body/table-body.component.ts:104

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/table/body/table-body.component.ts:118

## Accessors

### checkboxRowLabel

@Input()
checkboxRowLabel:

- Defined in src/table/body/table-body.component.ts:88
- Defined in src/table/body/table-body.component.ts:92

### expandButtonAriaLabel

@Input()
expandButtonAriaLabel:

- Defined in src/table/body/table-body.component.ts:79
- Defined in src/table/body/table-body.component.ts:83

## Methods

### firstExpandedDataInRow

- firstExpandedDataInRow(row: any): any

- - Defined in src/table/body/table-body.component.ts:169

  #### Parameters

  - ##### row: any

  #### Returns any

### getCheckboxRowLabel

- getCheckboxRowLabel(): Observable<string>

- - Defined in src/table/body/table-body.component.ts:161

  #### Returns Observable<string>

### getExpandButtonAriaLabel

- getExpandButtonAriaLabel(): Observable<string>

- - Defined in src/table/body/table-body.component.ts:165

  #### Returns Observable<string>

### onRowCheckboxChange

- onRowCheckboxChange(index: number): void

- - Defined in src/table/body/table-body.component.ts:149

  #### Parameters

  - ##### index: number

  #### Returns void

### onRowClick

- onRowClick(index: number): void

- - Defined in src/table/body/table-body.component.ts:157

  #### Parameters

  - ##### index: number

  #### Returns void

### shouldExpandAsTable

- shouldExpandAsTable(row: any): any

- - Defined in src/table/body/table-body.component.ts:177

  #### Parameters

  - ##### row: any

  #### Returns any

Generated using TypeDoc